%undefine __cmake_in_source_build
%global               debug_package %{nil}

Name:    kcm_wacomtablet
Summary: KDE Control module for Wacom Graphictablets
Version: 3.3.0
Release: 6.fc40

License: GPLv2+
# mirror
URL:     https://github.com/KDE/wacomtablet
Source0: https://download.kde.org/stable/wacomtablet/%{version}/wacomtablet-%{version}.tar.xz

## upstream patches

BuildRequires: extra-cmake-modules
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kdbusaddons-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-kglobalaccel-devel
BuildRequires: kf5-knotifications-devel
BuildRequires: kf5-kwidgetsaddons-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: kf5-kxmlgui-devel
BuildRequires: kf5-plasma-devel
BuildRequires: kf5-rpm-macros

BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qtx11extras-devel

BuildRequires: pkgconfig(libwacom)
BuildRequires: pkgconfig(xcb-xinput)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xorg-wacom)
BuildRequires: pkgconfig(xrandr)

ExcludeArch: s390 s390x

Obsoletes: kcm-wacomtablet < 1.3.7-2
Provides:  kcm-wacomtablet = %{version}-%{release}

%description
This module implements a GUI for the Wacom Linux Drivers and extends it
with profile support to handle different button/pen layouts per profile.


%prep
%autosetup -p1 -n wacomtablet-%{version}


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%files -f %{name}.lang
%doc AUTHORS
%license COPYING*
%{_datadir}/dbus-1/interfaces/org.kde.Wacom*.xml
%{_kf5_sysconfdir}/xdg/wacomtablet.*
%{_kf5_bindir}/kde_wacom_tabletfinder
%{_kf5_datadir}/applications/kde_wacom_tabletfinder.desktop
%{_kf5_datadir}/kservices5/kcm_wacomtablet.desktop
%{_kf5_datadir}/kservices5/plasma-dataengine-wacomtablet.desktop
%{_kf5_datadir}/knotifications5/wacomtablet.notifyrc
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.wacomtablet/
%{_kf5_datadir}/plasma/services/wacomtablet.operations
%{_kf5_datadir}/wacomtablet/
%{_kf5_metainfodir}/org.kde.plasma.wacomtablet.appdata.xml
%{_kf5_metainfodir}/org.kde.wacomtablet.metainfo.xml
%{_qt5_plugindir}/kcm_wacomtablet.so
%{_kf5_plugindir}/kded/wacomtablet.so
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_wacomtablet.so
/usr/share/kservices5/plasma-applet-org.kde.plasma.wacomtablet.desktop


%changelog
